Bug 844761 - Samba hook script adds redundant sections in smb.conf
Samba hook script adds redundant sections in smb.conf
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Talur
:
Depends On:
Blocks: 852140 994727
  Show dependency treegraph
 
Reported: 2012-07-31 12:48 EDT by Vijay Bellur
Modified: 2013-08-07 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852140 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:27:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2012-07-31 12:48:16 EDT
Description of problem:

When S30samba-start.sh is used for exporting CIFS through samba and multiple volume start [force] commands are executed, smb.conf would contain multiple redundant sections in smb.conf like:

comment=For samba export of volume object
path=/mnt/samba/object
read only=no
guest ok=yes

[gluster-object]
comment=For samba export of volume object
path=/mnt/samba/object
read only=no
guest ok=yes

[gluster-object]
comment=For samba export of volume object
path=/mnt/samba/object
read only=no
guest ok=yes

[gluster-object]
comment=For samba export of volume object
path=/mnt/samba/object
read only=no
guest ok=yes

This needs to be fixed.

Version-Release number of selected component (if applicable):
3.3.0

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-10-18 06:22:12 EDT
Samba hooks are not part of any glusterfs codebase, right??
Comment 2 Vijay Bellur 2012-10-18 06:25:39 EDT
(In reply to comment #1)
> Samba hooks are not part of any glusterfs codebase, right??

Present in extras/hook-scripts.
Comment 3 Raghavendra Talur 2013-07-19 01:40:14 EDT
This is fixed in the current release with the set of changes which have gone into hook scripts.

Note You need to log in before you can comment on or make changes to this bug.